Subject: RE: bug#41006: 26.3; regular expressions documentation

From: Drew Adams <[email-masked]>
Date: Fri, 8 May 2020 09:49:11 -0700 (PDT)

>   > My proposal is to include "how to use them" inside the chapter
>   > called "Regular Expressions".  Is there any reason not to do that?
> 
> Now we have
> 
> * Regular Expressions::   Describing classes of strings.
> * Regexp Search::         Searching for a match for a regexp.
> 
> We could convert Regexp Search into a subsection under Regular
> Expressions.  I don't see any harm in doing that.

I too agreed with that, and added:

  In that case, in the section on search there'd need
  to be some mention the ability to do regexp search,
  and xrefs to the relevant "use" sections of the
  regexp doc.

IOW, if regexp search is under regexps then the (other)
search section needs to link to the regexp-search topic.

> The Regexp Search node could come before, or after, the
> existing subsection, Regexp Functions.  Which would be better?

Suggestion:

1. Some high-level description of regexps - an idea
   of what they are and what you can use them for.
2. How to use them to match/search: regexp search.
3. Details of what they are - syntax, etc.

But the order between 2 & 3 could be the opposite.
What's important is for #1 to introduce both 2 & 3.

And of course links among topics, for people who
land on one of them out of the blue (e.g. by
googling and getting to the HTML manual on the web).

> Does anyone object to this change?

(Not I.)